Bug 1374350 - Collector's traceback: object has no attribute 'sample_listener'
Summary: Collector's traceback: object has no attribute 'sample_listener'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ceilometer
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Mehdi ABAAKOUK
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-08 13:25 UTC by Yurii Prokulevych
Modified: 2016-12-14 15:58 UTC (History)
4 users (show)

Fixed In Version: openstack-ceilometer-7.0.0-0.2.0rc2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 15:58:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 367372 None None None 2016-09-08 13:27:15 UTC

Description Yurii Prokulevych 2016-09-08 13:25:53 UTC
Description of problem:

Traceback in ceilometer/collector.log:
---------------------------------------
2016-09-08 12:04:47.213 22503 INFO cotyledon [-] Caught SIGTERM signal, graceful exiting of service CollectorService(0) [22503]
2016-09-08 12:04:47.213 22503 ERROR cotyledon [-] Unhandled exception
2016-09-08 12:04:47.213 22503 ERROR cotyledon Traceback (most recent call last):
2016-09-08 12:04:47.213 22503 ERROR cotyledon   File "/usr/lib/python2.7/site-packages/cotyledon/__init__.py", line 62, in _exit_on_exception
2016-09-08 12:04:47.213 22503 ERROR cotyledon     yield
2016-09-08 12:04:47.213 22503 ERROR cotyledon   File "/usr/lib/python2.7/site-packages/cotyledon/__init__.py", line 150, in _clean_exit
2016-09-08 12:04:47.213 22503 ERROR cotyledon     self.terminate()
2016-09-08 12:04:47.213 22503 ERROR cotyledon   File "/usr/lib/python2.7/site-packages/ceilometer/collector.py", line 137, in terminate
2016-09-08 12:04:47.213 22503 ERROR cotyledon     if self.sample_listener:
2016-09-08 12:04:47.213 22503 ERROR cotyledon AttributeError: 'CollectorService' object has no attribute 'sample_listener'


Version-Release number of selected component (if applicable):
-------------------------------------------------------------
python-ceilometerclient-2.5.0-0.20160802190010.cfea4ae.el7ost.noarch
openstack-ceilometer-collector-7.0.0-0.20160823020155.d434126.el7ost.noarch
openstack-ceilometer-polling-7.0.0-0.20160823020155.d434126.el7ost.noarch
openstack-ceilometer-api-7.0.0-0.20160823020155.d434126.el7ost.noarch
openstack-ceilometer-common-7.0.0-0.20160823020155.d434126.el7ost.noarch
openstack-ceilometer-central-7.0.0-0.20160823020155.d434126.el7ost.noarch
puppet-ceilometer-9.1.0-0.20160815154656.0bc5123.el7ost.noarch
python-ceilometer-7.0.0-0.20160823020155.d434126.el7ost.noarch
openstack-ceilometer-compute-7.0.0-0.20160823020155.d434126.el7ost.noarch
openstack-ceilometer-notification-7.0.0-0.20160823020155.d434126.el7ost.noarch

Comment 1 Mehdi ABAAKOUK 2016-09-12 07:31:37 UTC
Next 7.0.0 release (7.0.0.0b4 ?) will have the fix.

Comment 2 Mehdi ABAAKOUK 2016-09-21 15:25:16 UTC
This is part of Ceilometer 7.0.0.0rc1 upstream release

Comment 4 Yurii Prokulevych 2016-10-06 13:56:25 UTC
Verified with next packages:
----------------------------
python-ceilometerclient-2.6.1-1.el7ost.noarch
openstack-ceilometer-polling-7.0.0-0.20160928024313.67bbd3f.el7ost.noarch
openstack-ceilometer-central-7.0.0-0.20160928024313.67bbd3f.el7ost.noarch
openstack-ceilometer-common-7.0.0-0.20160928024313.67bbd3f.el7ost.noarch
openstack-ceilometer-compute-7.0.0-0.20160928024313.67bbd3f.el7ost.noarch
puppet-ceilometer-9.4.0-1.el7ost.noarch
python-ceilometer-7.0.0-0.20160928024313.67bbd3f.el7ost.noarch
openstack-ceilometer-collector-7.0.0-0.20160928024313.67bbd3f.el7ost.noarch
openstack-ceilometer-notification-7.0.0-0.20160928024313.67bbd3f.el7ost.noarch
openstack-ceilometer-api-7.0.0-0.20160928024313.67bbd3f.el7ost.noarch

No traceback in ceilometer/collector.log during service's stop/restart.

Comment 7 errata-xmlrpc 2016-12-14 15:58:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.